---
title: '<param>: The Object Parameter element'
slug: Web/HTML/Element/param
tags:
  - Element
  - HTML
  - HTML embedded content
  - Reference
  - Web
---
<div>{{HTMLRef}}</div>

<p>The <strong>HTML <code>&lt;param&gt;</code> element</strong> defines parameters for an {{HTMLElement("object")}} element.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td>None.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td>None, it is an {{Glossary("empty element")}}.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>As it is a void element, the start tag must be present and the end tag must not be present.</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>An {{HTMLElement("object")}} before any <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">flow content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">No corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>No <code>role</code> permitted</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLParamElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
 <dt>{{htmlattrdef("name")}}</dt>
 <dd>Name of the parameter.</dd>
 <dt>{{htmlattrdef("value")}}</dt>
 <dd>Specifies the value of the parameter.</dd>
</dl>

<h3 id="Deprecated_attributes">Deprecated attributes</h3>

<dl>
 <dt>{{htmlattrdef("type")}} {{deprecated_inline}}</dt>
 <dd>Only used if the <code>valuetype</code> is set to <code>ref</code>. Specifies the MIME type of values found at the URI specified by value.</dd>
 <dt>{{htmlattrdef("valuetype")}} {{deprecated_inline}}</dt>
 <dd>Specifies the type of the <code>value</code> attribute. Possible values are:
 <ul>
  <li><code>data</code>: Default value. The value is passed to the object's implementation as a string.</li>
  <li><code>ref</code>: The value is a URI to a resource where run-time values are stored.</li>
  <li><code>object</code>: An ID of another {{HTMLElement("object")}} in the same document.</li>
 </ul>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>Please see the {{HTMLElement("object")}} page for examples on <code>&lt;param&gt;</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'iframe-embed-object.html#the-param-element', '&lt;param&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'semantics-embedded-content.html#the-param-element', '&lt;param&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/objects.html#h-13.3.2', '&lt;param&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.param")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("object")}}</li>
</ul>
